Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.shading
Class SyntheticTexture

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.shading.ChannelMapNode
                  de.grogra.imp3d.shading.ColorMapNode
                      de.grogra.imp3d.shading.SurfaceMap
                          de.grogra.imp3d.shading.SyntheticTexture

All Implemented Interfaces:
  Icon, IconSource, ChannelMap, ColorMap, Manageable, PersistenceCapable, Shareable, RenderedIcon, UserFields, XObject, Map, java.io.Serializable

Direct Known Subclasses:
  Carpenter

    public abstract class SyntheticTexture

extends SurfaceMap

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `height$FIELD`
`static Node.NType.Field` | `width$FIELD`

Fields inherited from class de.grogra.imp3d.shading.ChannelMapNode
`AMBIENT, COLOR, COLOR_2, DIFFUSE_TRANSPARENCY, DISPLACEMENT, EMISSIVE, FIRST_OP, INPUT, input$FIELD, MIN_UNUSED_SPECIAL_OF_TARGET, SECOND_OP, SHININESS, SPECULAR, TRANSPARENCY, TRANSPARENCY_SHININESS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.icon.Icon
`DEFAULT, DISABLED`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`SyntheticTexture()`

Method Summary
`protected abstract void` | `calculateImageData()`
`protected void` | `createImage()`
`int` | `getAverageColor()`
`float[]` | `getFloatData()`
`protected float` | `getFloatValueImpl(float u, float v, ChannelData data, int channel)`
`int` | `getHeight()`
`protected float` | `getPixel(int x, int y)`
`int` | `getWidth()`
`void` | `setHeight(int value)`
`protected void` | `setPixel(int x, int y, float value)`
`void` | `setWidth(int value)`

Methods inherited from class de.grogra.imp3d.shading.SurfaceMap
`getDu, getDv, getFloatValue, renderLine`

Methods inherited from class de.grogra.imp3d.shading.ColorMapNode
`drawImage, getIcon, getIconBounds, getIconSource, getImage, getImage, getImageSource, getInputData, getPreferredIconSize, getRenderedImage, getSizeRatio, isMutable, paintIcon, prepareIcon, renderImage`

Methods inherited from class de.grogra.imp3d.shading.ChannelMapNode
`accept, accept, getInput, getObjectValue, setInput`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getNTypeImpl, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, newInstance, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.math.ChannelMap
`accept, getObjectValue, getStamp`

Methods inherited from interface de.grogra.pf.ui.RenderedIcon
`getStamp`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### height$FIELD

    public static final Node.NType.Field height$FIELD

### width$FIELD

    public static final Node.NType.Field width$FIELD

Constructor Detail

### SyntheticTexture

    public SyntheticTexture()

Method Detail

### calculateImageData

    protected abstract void calculateImageData()

### createImage

    protected void createImage()

### getAverageColor

    public int getAverageColor()

### getFloatData

    public float[] getFloatData()

### getFloatValueImpl

    protected float getFloatValueImpl(float u,
                                      float v,
                                      ChannelData data,
                                      int channel)

  Overrides:
    `getFloatValueImpl` in class `SurfaceMap`

### getHeight

    public int getHeight()

### getPixel

    protected float getPixel(int x,
                             int y)

### getWidth

    public int getWidth()

### setHeight

    public void setHeight(int value)

### setPixel

    protected void setPixel(int x,
                            int y,
                            float value)

### setWidth

    public void setWidth(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD